Name: rhnsd
Summary: Spacewalk query daemon
Version: 5.0.26
Release: %mkrel 1
License: GPLv2
Group: System/Base
URL:     https://github.com/spacewalkproject/spacewalk
Source0: %{name}-%{version}.tar.gz

BuildRequires: gettext

Requires: rhn-check >= 0.0.8
BuildRequires: systemd-devel
%{?systemd_requires}

%description
The Red Hat Update Agent that automatically queries the Red Hat
Network servers and determines which packages need to be updated on
your machine, and runs any actions.

%prep
%setup -q

%build
make -f Makefile.rhnsd %{?_smp_mflags} CFLAGS="-pie -fPIE -Wl,-z,relro,-z,now %{optflags}"

%install
make -f Makefile.rhnsd install VERSION=%{version}-%{release} PREFIX=$RPM_BUILD_ROOT MANPATH=%{_mandir} INIT_DIR=$RPM_BUILD_ROOT/%{_initddir}

rm -rf $RPM_BUILD_ROOT/%{_initddir}/
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}
install -m 0644 rhnsd.service $RPM_BUILD_ROOT/%{_unitdir}/

%find_lang %{name}

%post
%systemd_post rhnsd.service

%preun
%systemd_preun rhnsd.service

%postun
%systemd_postun_with_restart rhnsd.service


%files -f %{name}.lang
%dir %{_sysconfdir}/sysconfig/rhn
%config(noreplace) %{_sysconfdir}/sysconfig/rhn/rhnsd
%{_sbindir}/rhnsd
%{_unitdir}/rhnsd.service
%{_mandir}/man8/rhnsd.8*
%license LICENSE



%changelog
* Sun Jun 04 2017 ngompa <ngompa> 5.0.26-1.mga6
+ Revision: 1106696
- Port to Mageia
- Upgrade to 5.0.26
- imported package rhnsd

